﻿
namespace HeuristicLab.Problems.RoutePlanning.Graph {
  public class Edge<Vertex> : IEdge<Vertex> {
    private readonly Vertex source;
    public Vertex Source {
      get { return this.source; }
    }

    private readonly Vertex target;
    public Vertex Target {
      get { return this.target; }
    }

    public Edge(Vertex source, Vertex target) {
      this.source = source;
      this.target = target;
    }

    public override string ToString() {
      return string.Format("{0}->{1}", this.Source, this.Target);
    }
  }
}
